package sharin.doc.builder.xhtml1;

import sharin.doc.builder.Elem;
import sharin.doc.builder.GenericXmlElem;

public class GenericI18nElem<E extends Elem> extends GenericXmlElem<E> {

    public GenericI18nElem(String name, Object... nodes) {
        super(name, nodes);
    }

    public E lang(String value) {
        return attr("lang", value);
    }

    /**
     * xml:lang
     */
    public E xmllang(String value) {
        return attr("xml:lang", value);
    }

    public E dir(String value) {
        return attr("dir", value);
    }
}
